# Invoke-RASAppPackageAssigned.md

## NAME

Invoke-RASAppPackageAssigned

## SYNOPSIS

Invokes an action on an assigned application package.

## SYNTAX

\*\*Invoke-RASAppPackageAssigned \[[HostId](#hostid-string)] *(uint)* \[[PackageName](#packagename-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSHost | RDS | RDSHostPool | RDSGroup | VDIHostPool | VDIPool | AVDHostPool} -[RetryStaging](#retrystaging-string) *(SwitchParameter)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Invokes an action on an assigned application package.

The retry staging action is only available for RDS Hosts.

## PARAMETERS

## RetryStaging (SwitchParameter)

Specifies to retry staging the assigned application package within a host.

This action only works with the RDS Hosts ObjType.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PackageName (string)

The name of the assigned application package for which to retry staging.

This must be the actual assigned application package name used within a host in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

ID of the Site from which the host containing the assigned application package is located in.

If the parameter is omitted, the licensing server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostId (uint)

The ID of the host which contains the assigned application package.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType

([AppPackageAssignedObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/apppackageassignedobjtype.md)) The Object Type for which to invoke the assigned application package.

Possible values: RDSHost, RDS, RDSHostPool, RDSGroup, VDIHostPool, VDIPool, AVDHostPool

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASAppPackageAssigned -RetryStaging -ObjType RDSHost -HostId 1 -PackageName "App1"

Retries Staging the assigned application package with name App1 within the RDS Host with Id 1.

## RELATED LINKS

* [Remove-RASAppPackageAssigned](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasapppackageassigned.md)
* [Get-RASAppPackageAssigned](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasapppackageassigned.md)
* [Add-RASAppPackageAssigned](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasapppackageassigned.md)
* [Set-RASAppPackageAssigned](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasapppackageassigned.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasapppackageassigned.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
